Cancel Export
curl --request POST \
--url https://api.withflex.com/v1/exports/{id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withflex.com/v1/exports/{id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/exports/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"export": {
"export_id": "fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"type": "product",
"status": "created",
"created_at": "2026-06-15T14:30:00Z",
"started_at": "2026-06-15T14:30:00Z",
"completed_at": "2026-06-15T14:30:00Z",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"test_mode": false
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Cancel Export
Cancels an export, setting its status to cancelled. An export that has already completed cannot be cancelled; an already-cancelled export is returned unchanged.
POST
/
v1
/
exports
/
{id}
/
cancel
Cancel Export
Authorizations
Use a Bearer token to access this API.
Path Parameters
Example:
"fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Response
An envelope wrapping a single export object.
An envelope wrapping a single export object.
The Export object.
Show child attributes
Show child attributes
Example:
{ "export_id": "fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA", "description": "Premium SPF 50 mineral sunscreen", "type": "product", "status": "created", "created_at": "2026-06-15T14:30:00Z", "started_at": "2026-06-15T14:30:00Z", "completed_at": "2026-06-15T14:30:00Z", "metadata": { "order_id": "8842", "channel": "shopify" }, "filters": { "payment": {} }, "test_mode": false }
⌘I